@octokit/openapi 14.1.0 → 15.0.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/generated/api.github.com.deref.json +216 -40
- package/generated/api.github.com.json +125 -48
- package/generated/ghec.deref.json +238 -52
- package/generated/ghec.json +147 -60
- package/generated/ghes-3.10.deref.json +85 -22
- package/generated/ghes-3.10.json +49 -22
- package/generated/ghes-3.11.deref.json +96 -31
- package/generated/ghes-3.11.json +62 -44
- package/generated/ghes-3.12.deref.json +96 -31
- package/generated/ghes-3.12.json +62 -44
- package/generated/ghes-3.8.deref.json +85 -22
- package/generated/ghes-3.8.json +49 -22
- package/generated/ghes-3.9.deref.json +85 -22
- package/generated/ghes-3.9.json +49 -22
- package/generated/github.ae.deref.json +1 -1
- package/generated/github.ae.json +1 -1
- package/package.json +1 -1
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|
|
@@ -236,7 +236,8 @@
|
|
|
236
236
|
},
|
|
237
237
|
"hub_url": {
|
|
238
238
|
"type": "string",
|
|
239
|
-
"format": "uri-template"
|
|
239
|
+
"format": "uri-template",
|
|
240
|
+
"deprecated": true
|
|
240
241
|
},
|
|
241
242
|
"issue_search_url": {
|
|
242
243
|
"type": "string",
|
|
@@ -332,7 +333,6 @@
|
|
|
332
333
|
"followers_url",
|
|
333
334
|
"following_url",
|
|
334
335
|
"gists_url",
|
|
335
|
-
"hub_url",
|
|
336
336
|
"issue_search_url",
|
|
337
337
|
"issues_url",
|
|
338
338
|
"keys_url",
|
|
@@ -6807,19 +6807,21 @@
|
|
|
6807
6807
|
"description": "If specified, only advisories for these ecosystems will be returned.",
|
|
6808
6808
|
"schema": {
|
|
6809
6809
|
"type": "string",
|
|
6810
|
+
"description": "The package's language or package management ecosystem.",
|
|
6810
6811
|
"enum": [
|
|
6811
|
-
"
|
|
6812
|
-
"composer",
|
|
6813
|
-
"erlang",
|
|
6814
|
-
"go",
|
|
6815
|
-
"maven",
|
|
6812
|
+
"rubygems",
|
|
6816
6813
|
"npm",
|
|
6817
|
-
"nuget",
|
|
6818
|
-
"other",
|
|
6819
6814
|
"pip",
|
|
6815
|
+
"maven",
|
|
6816
|
+
"nuget",
|
|
6817
|
+
"composer",
|
|
6818
|
+
"go",
|
|
6819
|
+
"rust",
|
|
6820
|
+
"erlang",
|
|
6821
|
+
"actions",
|
|
6820
6822
|
"pub",
|
|
6821
|
-
"
|
|
6822
|
-
"
|
|
6823
|
+
"other",
|
|
6824
|
+
"swift"
|
|
6823
6825
|
]
|
|
6824
6826
|
}
|
|
6825
6827
|
},
|
|
@@ -37690,7 +37692,6 @@
|
|
|
37690
37692
|
"default": {
|
|
37691
37693
|
"value": {
|
|
37692
37694
|
"advanced_security_enabled_for_new_repositories": true,
|
|
37693
|
-
"advanced_security_enabled_new_user_namespace_repos": true,
|
|
37694
37695
|
"dependabot_alerts_enabled_for_new_repositories": true,
|
|
37695
37696
|
"secret_scanning_enabled_for_new_repositories": true,
|
|
37696
37697
|
"secret_scanning_push_protection_enabled_for_new_repositories": true,
|
|
@@ -88993,7 +88994,7 @@
|
|
|
88993
88994
|
"/orgs/{org}/hooks": {
|
|
88994
88995
|
"get": {
|
|
88995
88996
|
"summary": "List organization webhooks",
|
|
88996
|
-
"description": "",
|
|
88997
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
88997
88998
|
"tags": [
|
|
88998
88999
|
"orgs"
|
|
88999
89000
|
],
|
|
@@ -89202,7 +89203,7 @@
|
|
|
89202
89203
|
},
|
|
89203
89204
|
"post": {
|
|
89204
89205
|
"summary": "Create an organization webhook",
|
|
89205
|
-
"description": "
|
|
89206
|
+
"description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
89206
89207
|
"tags": [
|
|
89207
89208
|
"orgs"
|
|
89208
89209
|
],
|
|
@@ -89555,7 +89556,7 @@
|
|
|
89555
89556
|
"/orgs/{org}/hooks/{hook_id}": {
|
|
89556
89557
|
"get": {
|
|
89557
89558
|
"summary": "Get an organization webhook",
|
|
89558
|
-
"description": "Returns a webhook configured in an organization. To get only the webhook
|
|
89559
|
+
"description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
89559
89560
|
"tags": [
|
|
89560
89561
|
"orgs"
|
|
89561
89562
|
],
|
|
@@ -89742,7 +89743,7 @@
|
|
|
89742
89743
|
},
|
|
89743
89744
|
"patch": {
|
|
89744
89745
|
"summary": "Update an organization webhook",
|
|
89745
|
-
"description": "Updates a webhook configured in an organization. When you update a webhook
|
|
89746
|
+
"description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
89746
89747
|
"tags": [
|
|
89747
89748
|
"orgs"
|
|
89748
89749
|
],
|
|
@@ -90075,7 +90076,7 @@
|
|
|
90075
90076
|
},
|
|
90076
90077
|
"delete": {
|
|
90077
90078
|
"summary": "Delete an organization webhook",
|
|
90078
|
-
"description": "",
|
|
90079
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
90079
90080
|
"tags": [
|
|
90080
90081
|
"orgs"
|
|
90081
90082
|
],
|
|
@@ -90147,7 +90148,7 @@
|
|
|
90147
90148
|
"/orgs/{org}/hooks/{hook_id}/config": {
|
|
90148
90149
|
"get": {
|
|
90149
90150
|
"summary": "Get a webhook configuration for an organization",
|
|
90150
|
-
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
90151
|
+
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
90151
90152
|
"tags": [
|
|
90152
90153
|
"orgs"
|
|
90153
90154
|
],
|
|
@@ -90240,7 +90241,7 @@
|
|
|
90240
90241
|
},
|
|
90241
90242
|
"patch": {
|
|
90242
90243
|
"summary": "Update a webhook configuration for an organization",
|
|
90243
|
-
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
90244
|
+
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
90244
90245
|
"tags": [
|
|
90245
90246
|
"orgs"
|
|
90246
90247
|
],
|
|
@@ -90386,7 +90387,7 @@
|
|
|
90386
90387
|
"/orgs/{org}/hooks/{hook_id}/deliveries": {
|
|
90387
90388
|
"get": {
|
|
90388
90389
|
"summary": "List deliveries for an organization webhook",
|
|
90389
|
-
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
|
|
90390
|
+
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
90390
90391
|
"tags": [
|
|
90391
90392
|
"orgs"
|
|
90392
90393
|
],
|
|
@@ -90705,7 +90706,7 @@
|
|
|
90705
90706
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
|
|
90706
90707
|
"get": {
|
|
90707
90708
|
"summary": "Get a webhook delivery for an organization webhook",
|
|
90708
|
-
"description": "Returns a delivery for a webhook configured in an organization.",
|
|
90709
|
+
"description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
90709
90710
|
"tags": [
|
|
90710
90711
|
"orgs"
|
|
90711
90712
|
],
|
|
@@ -91067,7 +91068,7 @@
|
|
|
91067
91068
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
|
|
91068
91069
|
"post": {
|
|
91069
91070
|
"summary": "Redeliver a delivery for an organization webhook",
|
|
91070
|
-
"description": "Redeliver a delivery for a webhook configured in an organization.",
|
|
91071
|
+
"description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
91071
91072
|
"tags": [
|
|
91072
91073
|
"orgs"
|
|
91073
91074
|
],
|
|
@@ -91262,7 +91263,7 @@
|
|
|
91262
91263
|
"/orgs/{org}/hooks/{hook_id}/pings": {
|
|
91263
91264
|
"post": {
|
|
91264
91265
|
"summary": "Ping an organization webhook",
|
|
91265
|
-
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.12/webhooks/#ping-event)
|
|
91266
|
+
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.12/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
91266
91267
|
"tags": [
|
|
91267
91268
|
"orgs"
|
|
91268
91269
|
],
|
|
@@ -154931,7 +154932,7 @@
|
|
|
154931
154932
|
"/repos/{owner}/{repo}/actions/runs": {
|
|
154932
154933
|
"get": {
|
|
154933
154934
|
"summary": "List workflow runs for a repository",
|
|
154934
|
-
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.12/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository
|
|
154935
|
+
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.12/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
|
|
154935
154936
|
"tags": [
|
|
154936
154937
|
"actions"
|
|
154937
154938
|
],
|
|
@@ -231225,6 +231226,32 @@
|
|
|
231225
231226
|
"204": {
|
|
231226
231227
|
"description": "Response"
|
|
231227
231228
|
},
|
|
231229
|
+
"404": {
|
|
231230
|
+
"description": "Resource not found",
|
|
231231
|
+
"content": {
|
|
231232
|
+
"application/json": {
|
|
231233
|
+
"schema": {
|
|
231234
|
+
"title": "Basic Error",
|
|
231235
|
+
"description": "Basic Error",
|
|
231236
|
+
"type": "object",
|
|
231237
|
+
"properties": {
|
|
231238
|
+
"message": {
|
|
231239
|
+
"type": "string"
|
|
231240
|
+
},
|
|
231241
|
+
"documentation_url": {
|
|
231242
|
+
"type": "string"
|
|
231243
|
+
},
|
|
231244
|
+
"url": {
|
|
231245
|
+
"type": "string"
|
|
231246
|
+
},
|
|
231247
|
+
"status": {
|
|
231248
|
+
"type": "string"
|
|
231249
|
+
}
|
|
231250
|
+
}
|
|
231251
|
+
}
|
|
231252
|
+
}
|
|
231253
|
+
}
|
|
231254
|
+
},
|
|
231228
231255
|
"422": {
|
|
231229
231256
|
"description": "Validation failed, or the endpoint has been spammed.",
|
|
231230
231257
|
"content": {
|
|
@@ -323281,6 +323308,32 @@
|
|
|
323281
323308
|
}
|
|
323282
323309
|
}
|
|
323283
323310
|
},
|
|
323311
|
+
"406": {
|
|
323312
|
+
"description": "Unacceptable",
|
|
323313
|
+
"content": {
|
|
323314
|
+
"application/json": {
|
|
323315
|
+
"schema": {
|
|
323316
|
+
"title": "Basic Error",
|
|
323317
|
+
"description": "Basic Error",
|
|
323318
|
+
"type": "object",
|
|
323319
|
+
"properties": {
|
|
323320
|
+
"message": {
|
|
323321
|
+
"type": "string"
|
|
323322
|
+
},
|
|
323323
|
+
"documentation_url": {
|
|
323324
|
+
"type": "string"
|
|
323325
|
+
},
|
|
323326
|
+
"url": {
|
|
323327
|
+
"type": "string"
|
|
323328
|
+
},
|
|
323329
|
+
"status": {
|
|
323330
|
+
"type": "string"
|
|
323331
|
+
}
|
|
323332
|
+
}
|
|
323333
|
+
}
|
|
323334
|
+
}
|
|
323335
|
+
}
|
|
323336
|
+
},
|
|
323284
323337
|
"500": {
|
|
323285
323338
|
"description": "Internal Error",
|
|
323286
323339
|
"content": {
|
|
@@ -358557,6 +358610,20 @@
|
|
|
358557
358610
|
"commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
|
|
358558
358611
|
}
|
|
358559
358612
|
},
|
|
358613
|
+
{
|
|
358614
|
+
"type": "wiki_commit",
|
|
358615
|
+
"details": {
|
|
358616
|
+
"path": "/example/Home.md",
|
|
358617
|
+
"start_line": 1,
|
|
358618
|
+
"end_line": 1,
|
|
358619
|
+
"start_column": 1,
|
|
358620
|
+
"end_column": 64,
|
|
358621
|
+
"blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
|
|
358622
|
+
"page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
358623
|
+
"commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
358624
|
+
"commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
358625
|
+
}
|
|
358626
|
+
},
|
|
358560
358627
|
{
|
|
358561
358628
|
"type": "issue_title",
|
|
358562
358629
|
"details": {
|
|
@@ -899991,8 +900058,7 @@
|
|
|
899991
900058
|
},
|
|
899992
900059
|
"repository-dispatch-sample.collected": {
|
|
899993
900060
|
"post": {
|
|
899994
|
-
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.12/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
899995
|
-
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
|
|
900061
|
+
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.12/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
899996
900062
|
"operationId": "repository-dispatch/sample.collected",
|
|
899997
900063
|
"externalDocs": {
|
|
899998
900064
|
"url": "https://docs.github.com/enterprise-server@3.12/webhooks/webhook-events-and-payloads#repository_dispatch"
|
|
@@ -900081,9 +900147,7 @@
|
|
|
900081
900147
|
"properties": {
|
|
900082
900148
|
"action": {
|
|
900083
900149
|
"type": "string",
|
|
900084
|
-
"
|
|
900085
|
-
"sample.collected"
|
|
900086
|
-
]
|
|
900150
|
+
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
900087
900151
|
},
|
|
900088
900152
|
"branch": {
|
|
900089
900153
|
"type": "string"
|
|
@@ -900091,7 +900155,8 @@
|
|
|
900091
900155
|
"client_payload": {
|
|
900092
900156
|
"type": "object",
|
|
900093
900157
|
"nullable": true,
|
|
900094
|
-
"additionalProperties": true
|
|
900158
|
+
"additionalProperties": true,
|
|
900159
|
+
"description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
900095
900160
|
},
|
|
900096
900161
|
"enterprise": {
|
|
900097
900162
|
"title": "Enterprise",
|
package/generated/ghes-3.12.json
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
{
|
|
2
2
|
"openapi": "3.0.3",
|
|
3
3
|
"info": {
|
|
4
|
-
"version": "
|
|
4
|
+
"version": "15.0.0",
|
|
5
5
|
"title": "GitHub's official OpenAPI spec + Octokit extension",
|
|
6
6
|
"description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
|
|
7
7
|
"license": {
|
|
@@ -2342,21 +2342,7 @@
|
|
|
2342
2342
|
"in": "query",
|
|
2343
2343
|
"description": "If specified, only advisories for these ecosystems will be returned.",
|
|
2344
2344
|
"schema": {
|
|
2345
|
-
"
|
|
2346
|
-
"enum": [
|
|
2347
|
-
"actions",
|
|
2348
|
-
"composer",
|
|
2349
|
-
"erlang",
|
|
2350
|
-
"go",
|
|
2351
|
-
"maven",
|
|
2352
|
-
"npm",
|
|
2353
|
-
"nuget",
|
|
2354
|
-
"other",
|
|
2355
|
-
"pip",
|
|
2356
|
-
"pub",
|
|
2357
|
-
"rubygems",
|
|
2358
|
-
"rust"
|
|
2359
|
-
]
|
|
2345
|
+
"$ref": "#/components/schemas/security-advisory-ecosystems"
|
|
2360
2346
|
}
|
|
2361
2347
|
},
|
|
2362
2348
|
{
|
|
@@ -8407,7 +8393,6 @@
|
|
|
8407
8393
|
"default": {
|
|
8408
8394
|
"value": {
|
|
8409
8395
|
"advanced_security_enabled_for_new_repositories": true,
|
|
8410
|
-
"advanced_security_enabled_new_user_namespace_repos": true,
|
|
8411
8396
|
"dependabot_alerts_enabled_for_new_repositories": true,
|
|
8412
8397
|
"secret_scanning_enabled_for_new_repositories": true,
|
|
8413
8398
|
"secret_scanning_push_protection_enabled_for_new_repositories": true,
|
|
@@ -17310,7 +17295,7 @@
|
|
|
17310
17295
|
"/orgs/{org}/hooks": {
|
|
17311
17296
|
"get": {
|
|
17312
17297
|
"summary": "List organization webhooks",
|
|
17313
|
-
"description": "",
|
|
17298
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17314
17299
|
"tags": [
|
|
17315
17300
|
"orgs"
|
|
17316
17301
|
],
|
|
@@ -17368,7 +17353,7 @@
|
|
|
17368
17353
|
},
|
|
17369
17354
|
"post": {
|
|
17370
17355
|
"summary": "Create an organization webhook",
|
|
17371
|
-
"description": "
|
|
17356
|
+
"description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17372
17357
|
"tags": [
|
|
17373
17358
|
"orgs"
|
|
17374
17359
|
],
|
|
@@ -17505,7 +17490,7 @@
|
|
|
17505
17490
|
"/orgs/{org}/hooks/{hook_id}": {
|
|
17506
17491
|
"get": {
|
|
17507
17492
|
"summary": "Get an organization webhook",
|
|
17508
|
-
"description": "Returns a webhook configured in an organization. To get only the webhook
|
|
17493
|
+
"description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17509
17494
|
"tags": [
|
|
17510
17495
|
"orgs"
|
|
17511
17496
|
],
|
|
@@ -17552,7 +17537,7 @@
|
|
|
17552
17537
|
},
|
|
17553
17538
|
"patch": {
|
|
17554
17539
|
"summary": "Update an organization webhook",
|
|
17555
|
-
"description": "Updates a webhook configured in an organization. When you update a webhook
|
|
17540
|
+
"description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17556
17541
|
"tags": [
|
|
17557
17542
|
"orgs"
|
|
17558
17543
|
],
|
|
@@ -17664,7 +17649,7 @@
|
|
|
17664
17649
|
},
|
|
17665
17650
|
"delete": {
|
|
17666
17651
|
"summary": "Delete an organization webhook",
|
|
17667
|
-
"description": "",
|
|
17652
|
+
"description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17668
17653
|
"tags": [
|
|
17669
17654
|
"orgs"
|
|
17670
17655
|
],
|
|
@@ -17701,7 +17686,7 @@
|
|
|
17701
17686
|
"/orgs/{org}/hooks/{hook_id}/config": {
|
|
17702
17687
|
"get": {
|
|
17703
17688
|
"summary": "Get a webhook configuration for an organization",
|
|
17704
|
-
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
17689
|
+
"description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17705
17690
|
"tags": [
|
|
17706
17691
|
"orgs"
|
|
17707
17692
|
],
|
|
@@ -17745,7 +17730,7 @@
|
|
|
17745
17730
|
},
|
|
17746
17731
|
"patch": {
|
|
17747
17732
|
"summary": "Update a webhook configuration for an organization",
|
|
17748
|
-
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need
|
|
17733
|
+
"description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17749
17734
|
"tags": [
|
|
17750
17735
|
"orgs"
|
|
17751
17736
|
],
|
|
@@ -17826,7 +17811,7 @@
|
|
|
17826
17811
|
"/orgs/{org}/hooks/{hook_id}/deliveries": {
|
|
17827
17812
|
"get": {
|
|
17828
17813
|
"summary": "List deliveries for an organization webhook",
|
|
17829
|
-
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
|
|
17814
|
+
"description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17830
17815
|
"tags": [
|
|
17831
17816
|
"orgs"
|
|
17832
17817
|
],
|
|
@@ -17895,7 +17880,7 @@
|
|
|
17895
17880
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
|
|
17896
17881
|
"get": {
|
|
17897
17882
|
"summary": "Get a webhook delivery for an organization webhook",
|
|
17898
|
-
"description": "Returns a delivery for a webhook configured in an organization.",
|
|
17883
|
+
"description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17899
17884
|
"tags": [
|
|
17900
17885
|
"orgs"
|
|
17901
17886
|
],
|
|
@@ -17950,7 +17935,7 @@
|
|
|
17950
17935
|
"/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
|
|
17951
17936
|
"post": {
|
|
17952
17937
|
"summary": "Redeliver a delivery for an organization webhook",
|
|
17953
|
-
"description": "Redeliver a delivery for a webhook configured in an organization.",
|
|
17938
|
+
"description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17954
17939
|
"tags": [
|
|
17955
17940
|
"orgs"
|
|
17956
17941
|
],
|
|
@@ -17993,7 +17978,7 @@
|
|
|
17993
17978
|
"/orgs/{org}/hooks/{hook_id}/pings": {
|
|
17994
17979
|
"post": {
|
|
17995
17980
|
"summary": "Ping an organization webhook",
|
|
17996
|
-
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.12/webhooks/#ping-event)
|
|
17981
|
+
"description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.12/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
|
|
17997
17982
|
"tags": [
|
|
17998
17983
|
"orgs"
|
|
17999
17984
|
],
|
|
@@ -28618,7 +28603,7 @@
|
|
|
28618
28603
|
"/repos/{owner}/{repo}/actions/runs": {
|
|
28619
28604
|
"get": {
|
|
28620
28605
|
"summary": "List workflow runs for a repository",
|
|
28621
|
-
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.12/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository
|
|
28606
|
+
"description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.12/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
|
|
28622
28607
|
"tags": [
|
|
28623
28608
|
"actions"
|
|
28624
28609
|
],
|
|
@@ -39758,6 +39743,9 @@
|
|
|
39758
39743
|
"204": {
|
|
39759
39744
|
"description": "Response"
|
|
39760
39745
|
},
|
|
39746
|
+
"404": {
|
|
39747
|
+
"$ref": "#/components/responses/not_found"
|
|
39748
|
+
},
|
|
39761
39749
|
"422": {
|
|
39762
39750
|
"$ref": "#/components/responses/validation_failed"
|
|
39763
39751
|
}
|
|
@@ -49455,6 +49443,9 @@
|
|
|
49455
49443
|
"404": {
|
|
49456
49444
|
"$ref": "#/components/responses/not_found"
|
|
49457
49445
|
},
|
|
49446
|
+
"406": {
|
|
49447
|
+
"$ref": "#/components/responses/unacceptable"
|
|
49448
|
+
},
|
|
49458
49449
|
"500": {
|
|
49459
49450
|
"$ref": "#/components/responses/internal_error"
|
|
49460
49451
|
},
|
|
@@ -85912,8 +85903,7 @@
|
|
|
85912
85903
|
},
|
|
85913
85904
|
"repository-dispatch-sample.collected": {
|
|
85914
85905
|
"post": {
|
|
85915
|
-
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.12/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
85916
|
-
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
|
|
85906
|
+
"summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.12/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
|
|
85917
85907
|
"operationId": "repository-dispatch/sample.collected",
|
|
85918
85908
|
"externalDocs": {
|
|
85919
85909
|
"url": "https://docs.github.com/enterprise-server@3.12/webhooks/webhook-events-and-payloads#repository_dispatch"
|
|
@@ -91254,7 +91244,8 @@
|
|
|
91254
91244
|
},
|
|
91255
91245
|
"hub_url": {
|
|
91256
91246
|
"type": "string",
|
|
91257
|
-
"format": "uri-template"
|
|
91247
|
+
"format": "uri-template",
|
|
91248
|
+
"deprecated": true
|
|
91258
91249
|
},
|
|
91259
91250
|
"issue_search_url": {
|
|
91260
91251
|
"type": "string",
|
|
@@ -91350,7 +91341,6 @@
|
|
|
91350
91341
|
"followers_url",
|
|
91351
91342
|
"following_url",
|
|
91352
91343
|
"gists_url",
|
|
91353
|
-
"hub_url",
|
|
91354
91344
|
"issue_search_url",
|
|
91355
91345
|
"issues_url",
|
|
91356
91346
|
"keys_url",
|
|
@@ -104102,12 +104092,12 @@
|
|
|
104102
104092
|
}
|
|
104103
104093
|
}
|
|
104104
104094
|
},
|
|
104105
|
-
"repository-rule-params-
|
|
104106
|
-
"title": "
|
|
104107
|
-
"description": "
|
|
104095
|
+
"repository-rule-params-code-scanning-threshold": {
|
|
104096
|
+
"title": "CodeScanningThreshold",
|
|
104097
|
+
"description": "A tool and its thresholds.",
|
|
104108
104098
|
"type": "object",
|
|
104109
104099
|
"properties": {
|
|
104110
|
-
"
|
|
104100
|
+
"alerts": {
|
|
104111
104101
|
"type": "string",
|
|
104112
104102
|
"description": "Code scanning alert threshold",
|
|
104113
104103
|
"enum": [
|
|
@@ -104117,7 +104107,7 @@
|
|
|
104117
104107
|
"all"
|
|
104118
104108
|
]
|
|
104119
104109
|
},
|
|
104120
|
-
"
|
|
104110
|
+
"security_alerts": {
|
|
104121
104111
|
"type": "string",
|
|
104122
104112
|
"description": "Code scanning security alert threshold.",
|
|
104123
104113
|
"enum": [
|
|
@@ -104127,11 +104117,16 @@
|
|
|
104127
104117
|
"medium_or_higher",
|
|
104128
104118
|
"all"
|
|
104129
104119
|
]
|
|
104120
|
+
},
|
|
104121
|
+
"tool": {
|
|
104122
|
+
"type": "string",
|
|
104123
|
+
"description": "The name of a code scanning tool"
|
|
104130
104124
|
}
|
|
104131
104125
|
},
|
|
104132
104126
|
"required": [
|
|
104133
|
-
"
|
|
104134
|
-
"
|
|
104127
|
+
"alerts",
|
|
104128
|
+
"security_alerts",
|
|
104129
|
+
"tool"
|
|
104135
104130
|
]
|
|
104136
104131
|
},
|
|
104137
104132
|
"repository-rule": {
|
|
@@ -257992,9 +257987,7 @@
|
|
|
257992
257987
|
"properties": {
|
|
257993
257988
|
"action": {
|
|
257994
257989
|
"type": "string",
|
|
257995
|
-
"
|
|
257996
|
-
"sample.collected"
|
|
257997
|
-
]
|
|
257990
|
+
"description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
257998
257991
|
},
|
|
257999
257992
|
"branch": {
|
|
258000
257993
|
"type": "string"
|
|
@@ -258002,7 +257995,8 @@
|
|
|
258002
257995
|
"client_payload": {
|
|
258003
257996
|
"type": "object",
|
|
258004
257997
|
"nullable": true,
|
|
258005
|
-
"additionalProperties": true
|
|
257998
|
+
"additionalProperties": true,
|
|
257999
|
+
"description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
|
|
258006
258000
|
},
|
|
258007
258001
|
"enterprise": {
|
|
258008
258002
|
"$ref": "#/components/schemas/enterprise-webhooks"
|
|
@@ -295841,6 +295835,20 @@
|
|
|
295841
295835
|
"commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
|
|
295842
295836
|
}
|
|
295843
295837
|
},
|
|
295838
|
+
{
|
|
295839
|
+
"type": "wiki_commit",
|
|
295840
|
+
"details": {
|
|
295841
|
+
"path": "/example/Home.md",
|
|
295842
|
+
"start_line": 1,
|
|
295843
|
+
"end_line": 1,
|
|
295844
|
+
"start_column": 1,
|
|
295845
|
+
"end_column": 64,
|
|
295846
|
+
"blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
|
|
295847
|
+
"page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
295848
|
+
"commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
|
|
295849
|
+
"commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
|
|
295850
|
+
}
|
|
295851
|
+
},
|
|
295844
295852
|
{
|
|
295845
295853
|
"type": "issue_title",
|
|
295846
295854
|
"details": {
|
|
@@ -303292,6 +303300,16 @@
|
|
|
303292
303300
|
}
|
|
303293
303301
|
}
|
|
303294
303302
|
},
|
|
303303
|
+
"unacceptable": {
|
|
303304
|
+
"description": "Unacceptable",
|
|
303305
|
+
"content": {
|
|
303306
|
+
"application/json": {
|
|
303307
|
+
"schema": {
|
|
303308
|
+
"$ref": "#/components/schemas/basic-error"
|
|
303309
|
+
}
|
|
303310
|
+
}
|
|
303311
|
+
}
|
|
303312
|
+
},
|
|
303295
303313
|
"scim_bad_request": {
|
|
303296
303314
|
"description": "Bad request",
|
|
303297
303315
|
"content": {
|